cachefspack(1M)

NAME
cachefspack - allows you to pack specified files and file systems in the cache.

SYNOPSIS
cachefspack [ -p | -u | -i ] [ -h ] [ -U cache-directory ] [ -f packing-list ] [ files... ]

DESCRIPTION
The cachefspack command is used to set up and maintain files in your cache. Using the cachefspack command gives you more control over your cache, and also provides uninterrupted work when the server is not responding, when used in conjunction with the disconnectable option of the cachefs_mount command.

OPTIONS

-p  This option specifies that you want the file or files packed. This option is also the default.

-u  This option specifies that you want the file or files unpacked.

-U cache-directory
    This option specifies all files in a cache directory to be unpacked.

-f packing-list
    This option specifies a file containing files and directories to be packed. It uses the filesync(4) command format. You can also specify further options within sub-directories and files. See the filesync(4) manpage for more information. When the -f option is specified, directories are packed recursively. Symlinks that match a regular expression on a LIST command are followed. Symlinks encountered while recursively processing directories are not followed.

-i  This option specifies that you want to view information about your packed files.

-h  This option enables you to to print out a brief help summary of all the options for the cachefspack command.

EXAMPLES
The following example shows the file projects specified to be packed in the cache.

    prompt % cachefspack -p projects

The following example shows several files specified to be packed in the cache.

    prompt % cachefspack -p projects updates master_plan

The following example shows the file projects specified to be unpacked from the cache.

    prompt % cachefspack -u projects

The following example shows several files specified to be unpacked from the cache.

    prompt % cachefspack -u projects updates master_plan

You can also unpack a file that contains the path to a directory of files. This feature enables you to specify only one file instead of having to specify a directory and its entire contents.

With the -U option, you can specify all files in a cache directory to be unpacked.

    prompt % cachefspack -U /cache/cache1

The following example shows a packing list specified to be packed in the cache. It will pack all .c and .h files in the directory /src/junk that do not have the string SCCS in the file's path.

    prompt % cachefspack -f lists.pkg

For example, the contents of lists.pkg could be:

    IGNORE SCCS
    BASE /src/junk
    LIST *.c
    LIST *.h

SEE ALSO
cfsadmin(1M), cachefs_mount(1M), filesync(4)